define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var inheritFont = { fontFamily: 'inherit' };
    exports.getStyles = function (props) {
        var theme = props.theme, className = props.className;
        return {
            root: [
                'ms-Fabric',
                theme.fonts.medium,
                {
                    color: theme.palette.neutralPrimary,
                    selectors: {
                        '& button': inheritFont,
                        '& input': inheritFont,
                        '& textarea': inheritFont,
                        ':global(button)': {
                            overflow: 'visible'
                        }
                    }
                },
                className
            ]
        };
    };
});
//# sourceMappingURL=Fabric.styles.js.map