/// <reference types="react" />
import { BaseComponent } from '../../Utilities';
import { FocusZone } from '../../FocusZone';
import { IBreadcrumbProps, IBreadcrumbItem } from './Breadcrumb.types';
export interface IBreadCrumbData {
    props: IBreadcrumbProps;
    renderedItems: IBreadcrumbItem[];
    renderedOverflowItems: IBreadcrumbItem[];
}
export declare class Breadcrumb extends BaseComponent<IBreadcrumbProps, any> {
    static defaultProps: IBreadcrumbProps;
    protected focusZone: {
        (component: FocusZone | null): void;
        value: FocusZone | null;
    };
    constructor(props: IBreadcrumbProps);
    /**
     * Sets focus to the first breadcrumb link.
     */
    focus(): void;
    render(): JSX.Element;
    private _onReduceData;
    private _onRenderBreadcrumb;
    private _onRenderItem;
    private _onBreadcrumbClicked;
}
